diff -pruN 0.32.14.gcdfe14e-1/debian/changelog 0.32.14.gcdfe14e-2/debian/changelog
--- 0.32.14.gcdfe14e-1/debian/changelog	2019-11-30 00:52:12.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/changelog	2020-11-24 14:34:40.000000000 +0000
@@ -1,3 +1,24 @@
+cmdtest (0.32.14.gcdfe14e-2) unstable; urgency=medium
+
+  [ Debian Janitor ]
+  * Trim trailing whitespace.
+  * Use versioned copyright format URI.
+  * Use secure URI in Homepage field.
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update standards version to 4.5.0, no changes needed.
+
+  [ Ondřej Nový ]
+  * d/control: Update Maintainer field with new Debian Python Team
+    contact address.
+  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
+    layout.
+
+  [ Antonio Terceiro ]
+  * Fix tests with python3.9 (Closes: #975537)
+
+ -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Nov 2020 11:34:40 -0300
+
 cmdtest (0.32.14.gcdfe14e-1) unstable; urgency=medium
 
   * New upstream version 0.32.14.gcdfe14e
@@ -100,7 +121,7 @@ cmdtest (0.24-1) unstable; urgency=mediu
 
 cmdtest (0.23-1) unstable; urgency=medium
 
-  * 
+  *
 
  -- Lars Wirzenius <liw@liw.fi>  Mon, 18 Apr 2016 21:57:06 +0300
 
diff -pruN 0.32.14.gcdfe14e-1/debian/compat 0.32.14.gcdfe14e-2/debian/compat
--- 0.32.14.gcdfe14e-1/debian/compat	2019-11-30 00:52:12.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-9
diff -pruN 0.32.14.gcdfe14e-1/debian/control 0.32.14.gcdfe14e-2/debian/control
--- 0.32.14.gcdfe14e-1/debian/control	2019-11-30 00:52:12.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/control	2020-11-24 14:34:40.000000000 +0000
@@ -1,13 +1,13 @@
 Source: cmdtest
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
-Homepage: http://liw.fi/cmdtest/
+Homepage: https://liw.fi/cmdtest/
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/cmdtest.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cmdtest
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/cmdtest.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cmdtest
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-cliapp,
diff -pruN 0.32.14.gcdfe14e-1/debian/copyright 0.32.14.gcdfe14e-2/debian/copyright
--- 0.32.14.gcdfe14e-1/debian/copyright	2019-11-30 00:52:12.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/copyright	2020-11-24 14:34:40.000000000 +0000
@@ -1,4 +1,4 @@
-Format: http://dep.debian.net/deps/dep5/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: cmdtest
 Upstream-Contact: Lars Wirzenius <liw@liw.fi>
 Source: http://git.liw.fi/cgi-bin/cgit/cgit.cgi/cmdtest/
diff -pruN 0.32.14.gcdfe14e-1/debian/patches/0001-Fix-for-new-version-of-markdown.patch 0.32.14.gcdfe14e-2/debian/patches/0001-Fix-for-new-version-of-markdown.patch
--- 0.32.14.gcdfe14e-1/debian/patches/0001-Fix-for-new-version-of-markdown.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/patches/0001-Fix-for-new-version-of-markdown.patch	2020-11-24 14:34:40.000000000 +0000
@@ -0,0 +1,21 @@
+From: Antonio Terceiro <terceiro@debian.org>
+Date: Mon, 23 Nov 2020 21:44:44 -0300
+Subject: Fix for new version of markdown
+
+---
+ yarnlib/mdparser.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/yarnlib/mdparser.py b/yarnlib/mdparser.py
+index 9adf057..e16f7b3 100644
+--- a/yarnlib/mdparser.py
++++ b/yarnlib/mdparser.py
+@@ -42,7 +42,7 @@ class GatherCodeBlocks(Treeprocessor):
+ 
+     def run(self, root):
+         h = html.parser.HTMLParser()
+-        for child in root.getchildren():
++        for child in root:
+             if child.tag == 'pre':
+                 code = child.find('code')
+                 text = h.unescape(code.text)
diff -pruN 0.32.14.gcdfe14e-1/debian/patches/0002-Handle-removal-of-html.parser.HTMLParser.unescape-in.patch 0.32.14.gcdfe14e-2/debian/patches/0002-Handle-removal-of-html.parser.HTMLParser.unescape-in.patch
--- 0.32.14.gcdfe14e-1/debian/patches/0002-Handle-removal-of-html.parser.HTMLParser.unescape-in.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/patches/0002-Handle-removal-of-html.parser.HTMLParser.unescape-in.patch	2020-11-24 14:34:40.000000000 +0000
@@ -0,0 +1,34 @@
+From: Antonio Terceiro <terceiro@debian.org>
+Date: Mon, 23 Nov 2020 21:47:57 -0300
+Subject: Handle removal of html.parser.HTMLParser.unescape in python3.9
+
+---
+ yarnlib/mdparser.py | 5 ++---
+ 1 file changed, 2 insertions(+), 3 deletions(-)
+
+diff --git a/yarnlib/mdparser.py b/yarnlib/mdparser.py
+index e16f7b3..4e9ba4c 100644
+--- a/yarnlib/mdparser.py
++++ b/yarnlib/mdparser.py
+@@ -17,7 +17,7 @@
+ 
+ 
+ import logging
+-import html.parser
++import html
+ import markdown
+ import io
+ from markdown.treeprocessors import Treeprocessor
+@@ -41,11 +41,10 @@ class GatherCodeBlocks(Treeprocessor):
+         self.blocks = blocks
+ 
+     def run(self, root):
+-        h = html.parser.HTMLParser()
+         for child in root:
+             if child.tag == 'pre':
+                 code = child.find('code')
+-                text = h.unescape(code.text)
++                text = html.unescape(code.text)
+                 self.blocks.append(text)
+         return root
+ 
diff -pruN 0.32.14.gcdfe14e-1/debian/patches/series 0.32.14.gcdfe14e-2/debian/patches/series
--- 0.32.14.gcdfe14e-1/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/patches/series	2020-11-24 14:34:40.000000000 +0000
@@ -0,0 +1,2 @@
+0001-Fix-for-new-version-of-markdown.patch
+0002-Handle-removal-of-html.parser.HTMLParser.unescape-in.patch
diff -pruN 0.32.14.gcdfe14e-1/debian/rules 0.32.14.gcdfe14e-2/debian/rules
--- 0.32.14.gcdfe14e-1/debian/rules	2019-11-30 00:52:12.000000000 +0000
+++ 0.32.14.gcdfe14e-2/debian/rules	2020-11-24 14:34:40.000000000 +0000
@@ -2,4 +2,3 @@
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild
-
